Невозможно установить mysql-python с помощью pip на MacOS 10.12.4

После получения ошибки при запуске pip install mysql-python

 Collecting mysql-python Using cached MySQL-python-1.2.5.zip Complete output from command python setup.py egg_info: Traceback (most recent call last): File "<string>", line 1, in <module> File "/private/var/folders/b_/xh05hxwd0lzc3rm858jsypdc0000gn/T/pip-build-AWDYaP/mysql-python/setup.py", line 17, in <module> metadata, options = get_config() File "setup_posix.py", line 53, in get_config libraries = [ dequote(i[2:]) for i in libs if i.startswith(compiler_flag("l")) ] File "setup_posix.py", line 8, in dequote if s[0] in "\"'" and s[0] == s[-1]: IndexError: string index out of range ---------------------------------------- Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/b_/xh05hxwd0lzc3rm858jsypdc0000gn/T/pip-build-AWDYaP/mysql-python/ 

Я выполнил инструкции в этом сообщении о переустановке setuptools, и я переустановил Python с https://www.python.org/

which -a python дает

 /Library/Frameworks/Python.framework/Versions/2.7/bin/python /usr/local/bin/python /usr/bin/python 

Ошибка, похоже, произошла с момента установки обновления MacOS 10.12.4

2 Solutions collect form web for “Невозможно установить mysql-python с помощью pip на MacOS 10.12.4”

Решенный с этим

 brew install mysql pip install MySQL-python 

Если вы похожи на меня и установили mysql из исходного кода в mac, то забудьте, кто предлагает использовать варево, – на вашем компьютере уже есть mysql-connector-c. Если вы запустили установку mysql-connector-c, запишите деинсталляцию mysql-connector-c и попробуйте снова установить mysql-python (для меня был установлен pip3 install mysqlclient, потому что я использую Python 3).

  • Как загрузить пакет PyPI для установки протокола позже?
  • Установка Pyside не выполняется (Python 2.7.4)
  • pip ничего не может установить, ошибка: неверная команда 'egg_info'
  • Почему я получаю ImportError: нет модуля с именем pip 'сразу после установки pip?
  • Ubuntu: пип не работает с python3.4
  • Почему python говорит, что у меня нет модуля с именем venv?
  • Почему pip устанавливает matplotlib версии 0.91.1, когда PyPi показывает версию 1.0.0?
  • Установить пипс в докере
  • Поиск регулярных выражений Pip
  • pip в virtualenv получает ConnectTimeoutError
  • Ошибка при импорте модуля тензорного потока
  • Python - лучший язык программирования в мире.